Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config_browser
Class ShowConfigAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          org.apache.struts2.config_browser.ActionNamesAction
              org.apache.struts2.config_browser.ShowConfigAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

    public class ShowConfigAction

extends ActionNamesAction

ShowConfigAction

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts2.config_browser.ActionNamesAction
`configHelper`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`ShowConfigAction()`

Method Summary
`String` | `execute()`
`String` | `getActionName()`
`Set<String>` | `getActionNames()`
`com.opensymphony.xwork2.config.entities.ActionConfig` | `getConfig()`
`String` | `getDetailView()`
`String` | `getNamespace()`
`PropertyDescriptor[]` | `getProperties()`
`void` | `setActionName(String actionName)`
`void` | `setDetailView(String detailView)`
`void` | `setNamespace(String namespace)`
`void` | `setObjectFactory(com.opensymphony.xwork2.ObjectFactory fac)`
`void` | `setReflectionProvider(com.opensymphony.xwork2.util.reflection.ReflectionProvider prov)`
`String` | `stripPackage(Class clazz)`

Methods inherited from class org.apache.struts2.config_browser.ActionNamesAction
`getConfig, getExtension, getNamespaces, index, redirect, setConfigurationHelper, setExtension`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getFormatted, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowConfigAction

    public ShowConfigAction()

Method Detail

### getDetailView

    public String getDetailView()

### setDetailView

    public void setDetailView(String detailView)

### getActionNames

    public Set<String> getActionNames()

  Overrides:
    `getActionNames` in class `ActionNamesAction`

### getNamespace

    public String getNamespace()

  Overrides:
    `getNamespace` in class `ActionNamesAction`

### setObjectFactory

    public void setObjectFactory(com.opensymphony.xwork2.ObjectFactory fac)

### setReflectionProvider

    public void setReflectionProvider(com.opensymphony.xwork2.util.reflection.ReflectionProvider prov)

### stripPackage

    public String stripPackage(Class clazz)

### setNamespace

    public void setNamespace(String namespace)

  Overrides:
    `setNamespace` in class `ActionNamesAction`

### getActionName

    public String getActionName()

### setActionName

    public void setActionName(String actionName)

### getConfig

    public com.opensymphony.xwork2.config.entities.ActionConfig getConfig()

### getProperties

    public PropertyDescriptor[] getProperties()

### execute

    public String execute()
                   throws Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `ActionNamesAction`
  Throws:
    `Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.